Index: main/waeup.kofa/trunk/docs/source/userdocs/customization.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/customization.rst	(revision 13131)
+++ main/waeup.kofa/trunk/docs/source/userdocs/customization.rst	(revision 13132)
@@ -108,9 +108,16 @@
 
 The central `KofaUtils` utility contains not only most dictionaries
-used for sources (see
-:py:class:`API <waeup.kofa.utils.utils.KofaUtils>`) but also attributes 
-like `PORTAL_LANGUAGE` and `tzinfo`. The first defines the default
-language, which is used for pdf slips. The second defines the time
-zone where the institution is located.
+used for sources (see :py:class:`API
+<waeup.kofa.utils.utils.KofaUtils>`) but also configuration
+attributes like
+
+.. autoattribute:: waeup.kofa.utils.utils.KofaUtils.PORTAL_LANGUAGE
+   :noindex:
+
+.. autoattribute:: waeup.kofa.utils.utils.KofaUtils.tzinfo
+   :noindex:
+
+.. autoattribute:: waeup.kofa.utils.utils.KofaUtils.SYSTEM_MAX_LOAD
+   :noindex:
 
 Customizable utility methods are:
@@ -134,4 +141,24 @@
 --------------
 
+`StudentsUtils` contains the following configuration attributes:
+
+.. autoattribute:: waeup.kofa.students.utils.StudentsUtils.STUDENT_ID_PREFIX
+   :noindex:
+
+.. autoattribute:: waeup.kofa.students.utils.StudentsUtils.SKIP_UPLOAD_VIEWLETS
+   :noindex:
+
+.. autoattribute:: waeup.kofa.students.utils.StudentsUtils.PORTRAIT_CHANGE_STATES
+   :noindex:
+
+.. autoattribute:: waeup.kofa.students.utils.StudentsUtils.SEPARATORS_DICT
+   :noindex:
+
+.. autoattribute:: waeup.kofa.students.utils.StudentsUtils.STUDENT_EXPORTER_NAMES
+   :noindex:
+
+.. autoattribute:: waeup.kofa.students.utils.StudentsUtils.STUDENT_BACKUP_EXPORTER_NAMES
+   :noindex:
+
 Customizable utility methods are:
 
@@ -180,6 +207,4 @@
 .. automethod:: waeup.kofa.students.utils.StudentsUtils.getBedCoordinates()
    :noindex:
-
-
 
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 13131)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 13132)
@@ -912,7 +912,8 @@
 
     def getBedCoordinates(self, bedticket):
-        """Return bed coordinates.
+        """Return descriptive bed coordinates.
         This method can be used to customize the `display_coordinates`
-        property method.
+        property method in order to  display a
+        customary description of the bed space.
         """
         return bedticket.bed_coordinates
@@ -928,8 +929,18 @@
         return None
 
+    #: A dictionary which maps widget names to headlines. The headline
+    #: is rendered in forms and on pdf slips above the respective
+    #: display or input widget. There are no separating headlines
+    #: in the base package.
     SEPARATORS_DICT = {}
 
+    #: A tuple containing names of file upload viewlets which are not shown
+    #: on the `StudentClearanceManageFormPage`. Nothing is being skipped
+    #: in the base package. This attribute makes only sense, if intermediate
+    #: custom packages are being used, like we do for all Nigerian portals.
     SKIP_UPLOAD_VIEWLETS = ()
 
+    #: A tuple containing the names of registration states in which changing of
+    #: passport pictures is allowed.
     PORTRAIT_CHANGE_STATES = (ADMITTED,)
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py	(revision 13131)
+++ main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py	(revision 13132)
@@ -82,7 +82,8 @@
     """
     grok.implements(IKofaUtils)
-    # This the only place where we define the portal language
-    # which is used for the translation of system messages
-    # (e.g. object histories).
+
+    #: This the only place where we define the portal language
+    #: which is used for the translation of system messages
+    #: (e.g. object histories) pdf slips.
     PORTAL_LANGUAGE = 'en'
 
@@ -209,5 +210,4 @@
     #: Set positive number for allowed max, negative for required min
     #: avail.
-    #:
     #: Use integer for bytes value, float for percent
     #: value. `cpu-load`, of course, accepts float values only.