Index: main/waeup.kofa/trunk/docs/source/userdocs/customization.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/customization.rst	(revision 13132)
+++ main/waeup.kofa/trunk/docs/source/userdocs/customization.rst	(revision 13133)
@@ -109,6 +109,6 @@
 The central `KofaUtils` utility contains not only most dictionaries
 used for sources (see :py:class:`API
-<waeup.kofa.utils.utils.KofaUtils>`) but also configuration
-attributes like
+<waeup.kofa.utils.utils.KofaUtils>`) but also **configuration
+attributes** like
 
 .. autoattribute:: waeup.kofa.utils.utils.KofaUtils.PORTAL_LANGUAGE
@@ -121,25 +121,25 @@
    :noindex:
 
-Customizable utility methods are:
-
-.. automethod:: waeup.kofa.utils.utils.KofaUtils.sendContactForm()
-   :noindex:
-
-.. automethod:: waeup.kofa.utils.utils.KofaUtils.fullname()
-   :noindex:
-
-.. automethod:: waeup.kofa.utils.utils.KofaUtils.genPassword()
-   :noindex:
-
-.. automethod:: waeup.kofa.utils.utils.KofaUtils.sendCredentials()
-   :noindex:
-
-.. automethod:: waeup.kofa.utils.utils.KofaUtils.getPaymentItem()
-   :noindex:
-
-Students Utils
---------------
-
-`StudentsUtils` contains the following configuration attributes:
+Customizable **utility methods** are:
+
+.. automethod:: waeup.kofa.utils.utils.KofaUtils.sendContactForm
+   :noindex:
+
+.. automethod:: waeup.kofa.utils.utils.KofaUtils.fullname
+   :noindex:
+
+.. automethod:: waeup.kofa.utils.utils.KofaUtils.genPassword
+   :noindex:
+
+.. automethod:: waeup.kofa.utils.utils.KofaUtils.sendCredentials
+   :noindex:
+
+.. automethod:: waeup.kofa.utils.utils.KofaUtils.getPaymentItem
+   :noindex:
+
+Students Utilities
+------------------
+
+`StudentsUtils` contains the following **configuration attributes**:
 
 .. autoattribute:: waeup.kofa.students.utils.StudentsUtils.STUDENT_ID_PREFIX
@@ -161,54 +161,74 @@
    :noindex:
 
-Customizable utility methods are:
-
-.. automethod:: waeup.kofa.students.utils.StudentsUtils.getReturningData()
-   :noindex:
-
-.. automethod:: waeup.kofa.students.utils.StudentsUtils.setReturningData()
-   :noindex:
-
-.. automethod:: waeup.kofa.students.utils.StudentsUtils.setPaymentDetails()
-   :noindex:
-
-.. automethod:: waeup.kofa.students.utils.StudentsUtils.setBalanceDetails()
-   :noindex:
-
-.. automethod:: waeup.kofa.students.utils.StudentsUtils.increaseMatricInteger()
-   :noindex:
-
-.. automethod:: waeup.kofa.students.utils.StudentsUtils.constructMatricNumber()
-   :noindex:
-
-.. automethod:: waeup.kofa.students.utils.StudentsUtils.setMatricNumber()
-   :noindex:
-
-.. automethod:: waeup.kofa.students.utils.StudentsUtils.getAccommodationDetails()
-   :noindex:
-
-.. automethod:: waeup.kofa.students.utils.StudentsUtils.selectBed()
-   :noindex:
-
-.. automethod:: waeup.kofa.students.utils.StudentsUtils.renderPDFAdmissionLetter()
-   :noindex:
-
-.. automethod:: waeup.kofa.students.utils.StudentsUtils.getPDFCreator()
-   :noindex:
-
-.. automethod:: waeup.kofa.students.utils.StudentsUtils.renderPDF()
-   :noindex:
-
-.. automethod:: waeup.kofa.students.utils.StudentsUtils.renderPDFTranscript()
-   :noindex:
-
-.. automethod:: waeup.kofa.students.utils.StudentsUtils.maxCredits()
-   :noindex:
-
-.. automethod:: waeup.kofa.students.utils.StudentsUtils.getBedCoordinates()
-   :noindex:
-
-
-Applicants Utils
-----------------
-
-
+Customizable **utility methods** are:
+
+.. automethod:: waeup.kofa.students.utils.StudentsUtils.getReturningData
+   :noindex:
+
+.. automethod:: waeup.kofa.students.utils.StudentsUtils.setReturningData
+   :noindex:
+
+.. automethod:: waeup.kofa.students.utils.StudentsUtils.setPaymentDetails
+   :noindex:
+
+.. automethod:: waeup.kofa.students.utils.StudentsUtils.setBalanceDetails
+   :noindex:
+
+.. automethod:: waeup.kofa.students.utils.StudentsUtils.increaseMatricInteger
+   :noindex:
+
+.. automethod:: waeup.kofa.students.utils.StudentsUtils.constructMatricNumber
+   :noindex:
+
+.. automethod:: waeup.kofa.students.utils.StudentsUtils.setMatricNumber
+   :noindex:
+
+.. automethod:: waeup.kofa.students.utils.StudentsUtils.getAccommodationDetails
+   :noindex:
+
+.. automethod:: waeup.kofa.students.utils.StudentsUtils.selectBed
+   :noindex:
+
+.. automethod:: waeup.kofa.students.utils.StudentsUtils.renderPDFAdmissionLetter
+   :noindex:
+
+.. automethod:: waeup.kofa.students.utils.StudentsUtils.getPDFCreator
+   :noindex:
+
+.. automethod:: waeup.kofa.students.utils.StudentsUtils.renderPDF
+   :noindex:
+
+.. automethod:: waeup.kofa.students.utils.StudentsUtils.renderPDFTranscript
+   :noindex:
+
+.. automethod:: waeup.kofa.students.utils.StudentsUtils.maxCredits
+   :noindex:
+
+.. automethod:: waeup.kofa.students.utils.StudentsUtils.getBedCoordinates
+   :noindex:
+
+
+Applicants Utililties
+---------------------
+
+`ApplicantsUtils` contains the following **configuration attributes**:
+
+.. autoattribute:: waeup.kofa.applicants.utils.ApplicantsUtils.APP_TYPES_DICT
+   :noindex:
+
+.. autoattribute:: waeup.kofa.applicants.utils.ApplicantsUtils.SEPARATORS_DICT
+   :noindex:
+
+Customizable **utility methods** are:
+
+.. automethod:: waeup.kofa.applicants.utils.ApplicantsUtils.setPaymentDetails
+   :noindex:
+
+.. automethod:: waeup.kofa.applicants.utils.ApplicantsUtils.getApplicantsStatistics
+   :noindex:
+
+.. automethod:: waeup.kofa.applicants.utils.ApplicantsUtils.sortCertificates
+   :noindex:
+
+.. automethod:: waeup.kofa.applicants.utils.ApplicantsUtils.getCertTitle
+   :noindex:
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 13132)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 13133)
@@ -378,10 +378,4 @@
         portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         self.context.description_dict = html2dict(description, portal_language)
-        # Always refresh title. So we can change titles
-        # if APP_TYPES_DICT has been edited.
-        apptypes_dict = getUtility(IApplicantsUtils).APP_TYPES_DICT
-        title = apptypes_dict[self.context.prefix][0]
-        #self.context.title = u'%s %s/%s' % (
-        #    title, self.context.year, self.context.year + 1)
         self.flash(_('Form has been saved.'))
         fields_string = ' + '.join(changed_fields)
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 13132)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 13133)
@@ -97,5 +97,5 @@
             application_category=(appcat,appcat))
         resultlist = getUtility(
-            IApplicantsUtils).filterCertificates(context, result)
+            IApplicantsUtils).sortCertificates(context, result)
         return resultlist
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py	(revision 13132)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py	(revision 13133)
@@ -33,4 +33,6 @@
     grok.implements(IApplicantsUtils)
 
+    #: A dictionary containing application type names, titles and
+    #: access code prefixes (meanwhile deprecated).
     APP_TYPES_DICT = {
       'app': ['General Studies', 'APP'],
@@ -38,4 +40,7 @@
       }
 
+    #: A dictionary which maps widget names to headlines.
+    #: The headline is rendered in forms and on pdf slips above the
+    #: respective display or input widget.
     SEPARATORS_DICT = {
       'form.course1': _(u'Desired Study Courses'),
@@ -45,4 +50,6 @@
     def setPaymentDetails(self, container, payment, applicant):
         """Set the payment data of an applicant.
+        In contrast to its `StudentsUtils` counterpart, the payment ticket
+        must exist and is an argument of this method.
         """
         timestamp = ("%d" % int(time()*10000))[1:]
@@ -75,5 +82,5 @@
 
     def getApplicantsStatistics(self, container):
-        """Count applicants in containers.
+        """Count applicants in applicants containers.
         """
         state_stats = {INITIALIZED:0, STARTED:0, PAID:0, SUBMITTED:0,
@@ -90,16 +97,17 @@
         return state_stats, None
 
-    def filterCertificates(self, context, resultset):
-        """Filter and sort certificates in AppCatCertificateSource.
+    def sortCertificates(self, context, resultset):
+        """Sort already filtered certificates in `AppCatCertificateSource`.
+        Display also current course even if certificate in the academic
+        section has been removed.
         """
         resultlist = sorted(resultset, key=lambda value: value.code)
         curr_course = context.course1
         if curr_course is not None and curr_course not in resultlist:
-            # display also current course even if certificate has been removed
             resultlist = [curr_course,] + resultlist
         return resultlist
 
     def getCertTitle(self, context, value):
-        """Compose the titles in AppCatCertificateSource.
+        """Compose the titles in `AppCatCertificateSource`.
         """
         return "%s - %s" % (value.code, value.title)