Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/catalog.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/catalog.py	(revision 13133)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/catalog.py	(revision 13134)
@@ -30,4 +30,3 @@
 
     document_id = grok.index.Field(attribute='document_id')
-    user_id = grok.index.Field(attribute='user_id')
     state = grok.index.Field(attribute='state')
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/document.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/document.py	(revision 13133)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/document.py	(revision 13134)
@@ -68,5 +68,4 @@
         ]
 
-    user_id = None
     state = None
     translated_state = None
@@ -89,20 +88,6 @@
             return
 
-    @property
-    def connected_files(self):
-        return
-
-    @property
-    def is_verifiable(self):
-        return True, None
-
-    def setMD5(self):
-        """Determine md5 checksum of all files and store checksums as
-        document attributes.
-        """
-        return
-        
 class PublicDocumentBase(Document):
-    """This is a customer document baseclass.
+    """This is a public document baseclass.
     """
     grok.implements(IPublicDocument)
@@ -234,5 +219,5 @@
     """A file id chooser for :class:`Document` objects.
 
-    `context` is an :class:`Document` instance.
+    `context` is a :class:`Document` instance.
 
     The delivered file_id contains the file id marker for
@@ -268,8 +253,8 @@
         *Example:*
 
-        For document with id 'd123'
-        with attr ``'nice_image.jpeg'`` this chooser would create:
-
-          ``'__file-document__nice_image_d123.jpeg'``
+        For document with id ``d123`` and
+        with attr ``nice_image.jpeg`` this chooser would create:
+
+          ``__file-document__nice_image_d123.jpeg``
 
         meaning that the nice image of this document would be
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/export.py	(revision 13133)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/export.py	(revision 13134)
@@ -40,10 +40,10 @@
     def fields(self):
         return tuple(sorted(iface_names(self.iface, exclude_attribs=False,
-            omit=['is_verifiable',
-                  'translated_state',
-                  'user_id',
+            omit=['translated_state',
                   'formatted_transition_date',
                   'translated_class_name',
-                  'connected_files',   # Could be used to export file URLs
+                  'form_fields_interface',
+                  'filenames',
+                  'local_roles',
                   ]
             ))) + (
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/fileviewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/fileviewlets.py	(revision 13133)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/fileviewlets.py	(revision 13134)
@@ -68,5 +68,4 @@
     """Scan document.
     """
-    ##: Needs to be protected if not published
     grok.name('file.pdf')
     grok.context(PDFDocument)
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/interfaces.py	(revision 13133)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/interfaces.py	(revision 13134)
@@ -26,5 +26,4 @@
 class IDocumentsContainer(IKofaObject):
     """A container for all kind of document objects.
-
     """
 
@@ -36,16 +35,15 @@
 class IDocument(IKofaObject):
     """A base representation of documents.
-
     """
     history = Attribute('Object history, a list of messages')
-    state = Attribute('Returns the verification state of a document')
-    translated_state = Attribute(
-        'Returns a translated, more verbose verification state of a document')
+    state = Attribute('Workflow state of a document')
+    translated_state = Attribute('Translatable workflow state of a document')
     class_name = Attribute('Name of the document class')
-    translated_class_name = Attribute('Translatable class name')
-    formatted_transition_date = Attribute('Last transition formatted date string')
-    user_id = Attribute('Id of a user')
-    connected_files = Attribute('Names of files connected to a document')
-    is_verifiable = Attribute('Contract verifiable by officer')
+    translated_class_name = Attribute('Translatable class name of a document')
+    formatted_transition_date = Attribute(
+        'Last transition formatted date string')
+    form_fields_interface = Attribute(
+        'Interface which is used in forms for grok.AutoFields')
+    local_roles = Attribute('List of local role names')
 
     document_id = schema.TextLine(
@@ -60,31 +58,24 @@
         )
 
-    def setMD5():
-        """Determine md5 checksum of selected files and store checksums as
-        document attributes.
-        """
-
 class IPublicDocument(IDocument):
     """A base representation of public documents.
-
     """
 
     def writeLogMessage(view, message):
         """Write a view specific log message into main.log.
-
         """
 
 class IPDFDocument(IPublicDocument):
     """A base representation of PDF documents.
-
     """
 
+    filenames = Attribute('Tuple of filenames; only one filename recommended')
 
 class IHTMLDocument(IPublicDocument):
     """A base representation of HTML documents.
-
     """
 
-    html_dict = Attribute('Content as language dictionary with values in HTML format')
+    html_dict = Attribute(
+        'Content as language dictionary with values in HTML format')
 
     html_multilingual = schema.Text(
@@ -95,5 +86,4 @@
 class IRESTDocument(IPublicDocument):
     """A base representation of REST documents.
-
     """
 
@@ -109,5 +99,4 @@
 class IDocumentsUtils(Interface):
     """A collection of methods which are subject to customization.
-
     """
 