Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/export.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/export.py	(revision 13134)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/export.py	(revision 13135)
@@ -171,4 +171,7 @@
                       'translated_class_name',
                       'connected_files',   # Could be used to export file URLs
+                      'form_fields_interface',
+                      'filenames',
+                      'local_roles',
                       ])))
 
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/documents/document.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/documents/document.py	(revision 13134)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/documents/document.py	(revision 13135)
@@ -233,5 +233,5 @@
     """A file id chooser for :class:`Document` objects.
 
-    `context` is an :class:`Document` instance.
+    `context` is a :class:`Document` instance.
 
     The delivered file_id contains the file id marker for
@@ -267,8 +267,8 @@
         *Example:*
 
-        For document with id 'd123'
-        with attr ``'nice_image.jpeg'`` this chooser would create:
-
-          ``'__file-document__nice_image_d123.jpeg'``
+        For document with id ``d123`` and
+        with attr ``nice_image.jpeg`` this chooser would create:
+
+          ``__file-document__nice_image_d123.jpeg``
 
         meaning that the nice image of this document would be
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/documents/export.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/documents/export.py	(revision 13134)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/documents/export.py	(revision 13135)
@@ -46,4 +46,7 @@
                   'translated_class_name',
                   'connected_files',   # Could be used to export file URLs
+                  'form_fields_interface',
+                  'filenames',
+                  'local_roles',
                   ]
             ))) + (
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/documents/interfaces.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/documents/interfaces.py	(revision 13134)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/documents/interfaces.py	(revision 13135)
@@ -26,5 +26,4 @@
 class IDocumentsContainer(IIkobaObject):
     """A container for all kind of document objects.
-
     """
 
@@ -36,16 +35,18 @@
 class IDocument(IIkobaObject):
     """A base representation of documents.
-
     """
     history = Attribute('Object history, a list of messages')
-    state = Attribute('Returns the verification state of a document')
-    translated_state = Attribute(
-        'Returns a translated, more verbose verification state of a document')
+    state = Attribute('Workflow state of a document')
+    translated_state = Attribute('Translatable workflow state of a document')
     class_name = Attribute('Name of the document class')
-    translated_class_name = Attribute('Translatable class name')
-    formatted_transition_date = Attribute('Last transition formatted date string')
+    translated_class_name = Attribute('Translatable class name of a document')
+    formatted_transition_date = Attribute(
+        'Last transition formatted date string')
+    form_fields_interface = Attribute(
+        'Interface which is used in forms for grok.AutoFields')
+    local_roles = Attribute('List of local role names')
     user_id = Attribute('Id of a user')
     connected_files = Attribute('Names of files connected to a document')
-    is_verifiable = Attribute('Contract verifiable by officer')
+    is_verifiable = Attribute('True if contract verifiable by officer')
 
     document_id = schema.TextLine(
@@ -67,5 +68,4 @@
 class IPublicDocument(IDocument):
     """A base representation of public documents.
-
     """
 
@@ -83,7 +83,7 @@
 class IPDFDocument(IPublicDocument):
     """A base representation of PDF documents.
-
     """
 
+    filenames = Attribute('Tuple of filenames; only one filename recommended')
 
 class IHTMLDocument(IPublicDocument):
@@ -92,5 +92,6 @@
     """
 
-    html_dict = Attribute('Content as language dictionary with values in HTML format')
+    html_dict = Attribute(
+        'Content as language dictionary with values in HTML format')
 
     html_multilingual = schema.Text(
@@ -101,5 +102,4 @@
 class IRESTDocument(IPublicDocument):
     """A base representation of REST documents.
-
     """
 
@@ -115,5 +115,4 @@
 class IDocumentsUtils(Interface):
     """A collection of methods which are subject to customization.
-
     """
 
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/utils/helpers.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/utils/helpers.py	(revision 13134)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/utils/helpers.py	(revision 13135)
@@ -811,9 +811,8 @@
     """Transforms a localized HTML text string into a dictionary.
 
-    Different languages must be separated by `>>xy<<` whereas
+    Different languages must be separated by ``>>xy<<`` whereas
     xy is the language code. Text parts without correct leading
     language separator - usually the first part has no language
     descriptor - are interpreted as texts in the portal's language.
-    The latter can be configured in waeup.srp.utils.utils.IkobaUtils.
     """
     try:
@@ -838,9 +837,8 @@
     """Transforms a localized REST text string into a dictionary.
 
-    Different languages must be separated by `>>xy<<` whereas
+    Different languages must be separated by ``>>xy<<`` whereas
     xy is the language code. Text parts without correct leading
     language separator - usually the first part has no language
     descriptor - are interpreted as texts in the portal's language.
-    The latter can be configured in waeup.srp.utils.utils.IkobaUtils.
     """
     try: