Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/browser.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/browser.py	(revision 13139)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/browser.py	(revision 13140)
@@ -86,4 +86,11 @@
             for field in PG_OMIT_DISPLAY_FIELDS:
                 form_fields = form_fields.omit(field)
+        # Don't know what pre-degree studies are, seems to be pre-postgraduate.
+        # Many modifications are expected. Therefore, we need a dedicated
+        # elif statement (see also pages below)
+        elif self.target is not None and self.target.startswith('pre'):
+            form_fields = grok.AutoFields(INigeriaPGApplicant)
+            for field in PG_OMIT_DISPLAY_FIELDS:
+                form_fields = form_fields.omit(field)
         elif self.target is not None and self.target.startswith('putme'):
             form_fields = grok.AutoFields(INigeriaUGApplicant)
@@ -127,4 +134,8 @@
             for field in PG_OMIT_PDF_FIELDS:
                 form_fields = form_fields.omit(field)
+        elif self.target is not None and self.target.startswith('pre'):
+            form_fields = grok.AutoFields(INigeriaPGApplicant)
+            for field in PG_OMIT_PDF_FIELDS:
+                form_fields = form_fields.omit(field)
         elif self.target is not None and self.target.startswith('putme'):
             form_fields = grok.AutoFields(INigeriaUGApplicant)
@@ -167,4 +178,8 @@
             for field in PG_OMIT_MANAGE_FIELDS:
                 form_fields = form_fields.omit(field)
+        elif self.target is not None and self.target.startswith('pre'):
+            form_fields = grok.AutoFields(INigeriaPGApplicant)
+            for field in PG_OMIT_MANAGE_FIELDS:
+                form_fields = form_fields.omit(field)
         elif self.target is not None and self.target.startswith('putme'):
             form_fields = grok.AutoFields(INigeriaUGApplicant)
@@ -191,4 +206,8 @@
         if self.target is not None and self.target.startswith('pg'):
             form_fields = grok.AutoFields(INigeriaPGApplicantEdit)
+            for field in PG_OMIT_EDIT_FIELDS:
+                form_fields = form_fields.omit(field)
+        elif self.target is not None and self.target.startswith('pre'):
+            form_fields = grok.AutoFields(INigeriaPGApplicant)
             for field in PG_OMIT_EDIT_FIELDS:
                 form_fields = form_fields.omit(field)
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py	(revision 13139)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py	(revision 13140)
@@ -280,10 +280,69 @@
         readonly = False,
         )
-    pp_school = schema.Choice(
-        title = _(u'Qualification Obtained'),
+    fst_sit_fname = schema.TextLine(
+        title = _(u'Full Name'),
+        required = False,
+        readonly = False,
+        )
+    fst_sit_no = schema.TextLine(
+        title = _(u'Exam Number'),
+        required = False,
+        readonly = False,
+        )
+    fst_sit_date = FormattedDate(
+        title = _(u'Exam Date'),
+        required = False,
+        readonly = False,
+        show_year = True,
+        )
+    fst_sit_type = schema.Choice(
+        title = _(u'Exam Type'),
         required = False,
         readonly = False,
         vocabulary = exam_types,
         )
+    fst_sit_results = schema.List(
+        title = _(u'Exam Results'),
+        value_type = ResultEntryField(),
+        required = False,
+        readonly = False,
+        default = [],
+        )
+    scd_sit_fname = schema.TextLine(
+        title = _(u'Full Name'),
+        required = False,
+        readonly = False,
+        )
+    scd_sit_no = schema.TextLine(
+        title = _(u'Exam Number'),
+        required = False,
+        readonly = False,
+        )
+    scd_sit_date = FormattedDate(
+        title = _(u'Exam Date'),
+        required = False,
+        readonly = False,
+        show_year = True,
+        )
+    scd_sit_type = schema.Choice(
+        title = _(u'Exam Type'),
+        required = False,
+        readonly = False,
+        vocabulary = exam_types,
+        )
+    scd_sit_results = schema.List(
+        title = _(u'Exam Results'),
+        value_type = ResultEntryField(),
+        required = False,
+        readonly = False,
+        default = [],
+        )
+    # Replaced by first and second sitting
+    #pp_school = schema.Choice(
+    #    title = _(u'Qualification Obtained'),
+    #    required = False,
+    #    readonly = False,
+    #    vocabulary = exam_types,
+    #    )
     presently_inst = schema.TextLine(
         title = _(u'If yes, name of institution'),
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/utils.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/utils.py	(revision 13139)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/utils.py	(revision 13140)
@@ -54,3 +54,5 @@
         'form.pp_school': _(u'Post Primary School Qualification'),
         'form.presently_inst': _(u'Presently attending a course or programme'),
+        'form.fst_sit_fname': _(u'First Sitting Record'),
+        'form.scd_sit_fname': _(u'Second Sitting Record'),
         }