Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/browser.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/browser.py	(revision 13154)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/browser.py	(revision 13155)
@@ -225,9 +225,9 @@
                 form_fields = form_fields.omit(field)
         elif self.target is not None and self.target.startswith('pre'):
-            form_fields = grok.AutoFields(INigeriaPGApplicant)
+            form_fields = grok.AutoFields(INigeriaPGApplicantEdit)
             for field in PG_OMIT_EDIT_FIELDS:
                 form_fields = form_fields.omit(field)
         elif self.target is not None and self.target.startswith('cbt'):
-            form_fields = grok.AutoFields(INigeriaUGApplicant)
+            form_fields = grok.AutoFields(INigeriaUGApplicantEdit)
             for field in CBT_OMIT_EDIT_FIELDS:
                 form_fields = form_fields.omit(field)
Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/export.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/export.py	(revision 13154)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/export.py	(revision 13155)
@@ -37,4 +37,6 @@
 
     def mangle_value(self, value, name, context=None):
+        if name == 'jamb_subjects' and value:
+            value = value.replace('\n', '++')
         if '_result' in name and value:
             value = [eval(entry.to_string()) for entry in value]
Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py	(revision 13154)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py	(revision 13155)
@@ -185,5 +185,4 @@
     jamb_subjects = schema.Text(
         title = _(u'Subjects and Scores'),
-        description = _(u'(Enter all four subjects, one subject with score per line!)'),
         required = False,
         )
@@ -523,9 +522,16 @@
         show_year = True,
         )
+    jamb_subjects = schema.Text(
+        title = _(u'Subjects and Scores'),
+        description = _(u'Enter all four subjects, one subject with score per line!'),
+        required = True,
+        )
 
 INigeriaUGApplicantEdit[
-    'date_of_birth'].order =  INigeriaUGApplicant['date_of_birth'].order
+    'date_of_birth'].order = INigeriaUGApplicant['date_of_birth'].order
 INigeriaUGApplicantEdit[
-    'email'].order =  INigeriaUGApplicant['email'].order
+    'email'].order = INigeriaUGApplicant['email'].order
+INigeriaUGApplicantEdit[
+    'jamb_subjects'].order = INigeriaUGApplicant['jamb_subjects'].order
 
 class INigeriaPGApplicantEdit(INigeriaPGApplicant):
@@ -559,5 +565,4 @@
 class INigeriaApplicantOnlinePayment(INigeriaOnlinePayment):
     """An applicant payment via payment gateways.
-
     """
 
Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py	(revision 13154)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py	(revision 13155)
@@ -347,4 +347,5 @@
         applicant.course_admitted = self.certificate
         applicant.notice = u'Some notice\nin lines.'
+        applicant.jamb_subjects = u'Line 1\nLine 2'
         applicant.screening_score = 98
         applicant.screening_venue = u'Exam Room'
@@ -378,5 +379,5 @@
             'Anna M. Tester,anna@sample.com,,,,,,,,,,,Anna,,,,,,'
             '[u\'2015-07-06 11:21:22 WAT - Application initialized by system\']'
-            ',,,,,,,,,,Tester,,0,M.,NG,"Some notice\nin lines.",,,'
+            ',,,,,,,,,Line 1++Line 2,Tester,,0,M.,NG,"Some notice\nin lines.",,,'
             'any password,+234-123-12345#,,123456,,,,,,,'
             '"Saturday, 16th June 2012 2:00:00 PM",98,Exam Room,f,,,'