Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/container.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/container.py	(revision 13164)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/container.py	(revision 13165)
@@ -35,10 +35,4 @@
         super(HostelsContainer, self).__init__()
         return
-
-    def archive(self, id=None):
-        raise NotImplementedError()
-
-    def clear(self, id=None, archive=True):
-        raise NotImplementedError()
 
     def addHostel(self, hostel):
Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py	(revision 13164)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py	(revision 13165)
@@ -31,6 +31,7 @@
 class IHostelsContainer(IKofaObject):
     """A container for all kind of hostel objects.
-
     """
+
+    expired = Attribute('True if current datetime is in application period.')
 
     startdate = schema.Datetime(
@@ -66,7 +67,14 @@
         """
 
+    def addHostel(hostel):
+        """Add a hostel.
+        """
+
+    def logger_info(ob_class, target, comment=None):
+        """Get the logger's info method.
+        """
+
 class IHostel(IKofaObject):
     """A base representation of hostels.
-
     """
 
@@ -205,5 +213,4 @@
 class IBed(IKofaObject):
     """A base representation of beds.
-
     """
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/tests.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/tests.py	(revision 13164)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/tests.py	(revision 13165)
@@ -87,8 +87,4 @@
         container = HostelsContainer()
         hostel = Hostel()
-        self.assertRaises(
-            NotImplementedError, container.archive)
-        self.assertRaises(
-            NotImplementedError, container.clear)
         # We cannot add arbitrary objects
         department = Department()
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/container.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/container.py	(revision 13164)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/container.py	(revision 13165)
@@ -65,10 +65,4 @@
         return new_id
 
-    def archive(self, id=None):
-        raise NotImplementedError()
-
-    def clear(self, id=None, archive=True):
-        raise NotImplementedError()
-
     def addStudent(self, student):
         """Add a student with subcontainers.
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 13164)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 13165)
@@ -145,34 +145,4 @@
         """
 
-    def archive(id=None):
-        """Create on-dist archive of students.
-
-        If id is `None`, all students are archived.
-
-        If id contains a single id string, only the respective
-        students are archived.
-
-        If id contains a list of id strings all of the respective
-        students types are saved to disk.
-        """
-
-    def clear(id=None, archive=True):
-        """Remove students of type given by 'id'.
-
-        Optionally archive the students.
-
-        If id is `None`, all students are archived.
-
-        If id contains a single id string, only the respective
-        students are archived.
-
-        If id contains a list of id strings all of the respective
-        student types are saved to disk.
-
-        If `archive` is ``False`` none of the archive-handling is done
-        and respective students are simply removed from the
-        database.
-        """
-
     unique_student_id = Attribute("""A unique student id.""")
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_container.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_container.py	(revision 13164)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_container.py	(revision 13165)
@@ -72,8 +72,4 @@
         # We cannot call the fundamental methods of a base in that case
         container = StudentsContainer()
-        self.assertRaises(
-            NotImplementedError, container.archive)
-        self.assertRaises(
-            NotImplementedError, container.clear)
         # We cannot add arbitrary objects
         department = Department()