Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 13165)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 13166)
@@ -291,5 +291,5 @@
 
     def writeLogMessage(view, comment):
-        """Add an INFO message to the log file.
+        """Add an INFO message to ``applicants.log``.
         """
 
@@ -449,5 +449,5 @@
 
     def writeLogMessage(view, comment):
-        """Add an INFO message to the log file.
+        """Add an INFO message to ``applicants.log``.
         """
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/documents/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/documents/interfaces.py	(revision 13165)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/documents/interfaces.py	(revision 13166)
@@ -63,5 +63,5 @@
 
     def writeLogMessage(view, message):
-        """Write a view specific log message into main.log.
+        """Add an INFO message to ``main.log``.
         """
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser.py	(revision 13165)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser.py	(revision 13166)
@@ -39,9 +39,4 @@
 from waeup.kofa.widgets.datewidget import FriendlyDatetimeDisplayWidget
 
-def write_log_message(view, message):
-    ob_class = view.__implemented__.__name__.replace('waeup.kofa.','')
-    view.context.loggerInfo(ob_class, message)
-    return
-
 # Save function used for save methods in manager pages
 def msave(view, **data):
@@ -54,5 +49,5 @@
     view.flash(_('Form has been saved.'))
     if fields_string:
-        write_log_message(view, 'saved: % s' % fields_string)
+        view.context.writeLogMessage(view, 'saved: %s' % fields_string)
     return
 
@@ -146,5 +141,5 @@
             for id in child_id:
                 deleted.append(id)
-            write_log_message(self, 'deleted: % s' % ', '.join(deleted))
+            self.context.writeLogMessage(self, 'deleted: % s' % ', '.join(deleted))
         delSubobjects(self, redirect='@@manage', tab='2')
         return
@@ -159,5 +154,5 @@
         self.context.clearAllHostels()
         self.flash(_('All hostels cleared.'))
-        write_log_message(self, 'all hostels cleared')
+        self.context.writeLogMessage(self, 'all hostels cleared')
         self.redirect(self.url(self.context, '@@manage')+'#tab2')
         return
@@ -192,5 +187,5 @@
             return
         self.flash(_('Hostel created.'))
-        write_log_message(self, 'added: % s' % data['hostel_name'])
+        self.context.writeLogMessage(self, 'added: % s' % data['hostel_name'])
         self.redirect(self.url(self.context[hostel.hostel_id], 'index'))
         return
@@ -254,5 +249,5 @@
             mapping = {'a':removed, 'b':added, 'c':modified, 'd':modified_beds})
         self.flash(flash_message)
-        write_log_message(self, message)
+        self.context.writeLogMessage(self, message)
         self.redirect(self.url(self.context, '@@manage')+'#tab2')
         return
@@ -284,5 +279,5 @@
             self.flash(_('Successfully switched beds: ${a}',
                 mapping = {'a':m_translated}))
-            write_log_message(self, 'switched: %s' % message)
+            self.context.writeLogMessage(self, 'switched: %s' % message)
             self.redirect(self.url(self.context, '@@manage')+'#tab2')
         return
@@ -308,5 +303,5 @@
             self.flash(_('Successfully released beds: ${a}',
                 mapping = {'a':message}))
-            write_log_message(self, 'released: %s' % message)
+            self.context.writeLogMessage(self, 'released: %s' % message)
             self.redirect(self.url(self.context, '@@manage')+'#tab2')
         else:
@@ -319,5 +314,5 @@
         self.context.clearHostel()
         self.flash(_('Hostel cleared.'))
-        write_log_message(self, 'cleared')
+        self.context.writeLogMessage(self, 'cleared')
         self.redirect(self.url(self.context, '@@manage')+'#tab2')
         return
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/container.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/container.py	(revision 13165)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/container.py	(revision 13166)
@@ -52,18 +52,4 @@
         return
 
-    logger_name = 'waeup.kofa.${sitename}.hostels'
-    logger_filename = 'hostels.log'
-
-    def logger_info(self, ob_class, target, comment=None):
-        """Get the logger's info method.
-        """
-        self.logger.info('%s - %s - %s' % (
-                ob_class, target, comment))
-        return
-
-    def loggerInfo(self, ob_class, comment=None):
-        target = self.__name__
-        return self.logger_info(ob_class,target,comment)
-
     @property
     def expired(self):
@@ -78,3 +64,12 @@
         return False
 
+    logger_name = 'waeup.kofa.${sitename}.hostels'
+    logger_filename = 'hostels.log'
+
+    def writeLogMessage(self, view, message):
+        ob_class = view.__implemented__.__name__.replace('waeup.kofa.','')
+        self.logger.info(
+            '%s - %s - %s' % (ob_class, self.__name__, message))
+        return
+
 HostelsContainer = attrs_to_fields(HostelsContainer)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/hostel.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/hostel.py	(revision 13165)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/hostel.py	(revision 13166)
@@ -37,8 +37,4 @@
     grok.implements(IHostel)
     grok.provides(IHostel)
-
-    def loggerInfo(self, ob_class, comment=None):
-        target = self.__name__
-        return grok.getSite()['hostels'].logger_info(ob_class,target,comment)
 
     @property
@@ -139,4 +135,10 @@
         return removed_counter, added_counter, modified_counter, modified_beds
 
+    def writeLogMessage(self, view, message):
+        ob_class = view.__implemented__.__name__.replace('waeup.kofa.','')
+        self.__parent__.logger.info(
+            '%s - %s - %s' % (ob_class, self.__name__, message))
+        return
+
 Hostel = attrs_to_fields(Hostel)
 
@@ -268,7 +270,9 @@
             return old_owner
 
-    def loggerInfo(self, ob_class, comment=None):
-        target = self.__name__
-        return grok.getSite()['hostels'].logger_info(ob_class,target,comment)
+    def writeLogMessage(self, view, message):
+        ob_class = view.__implemented__.__name__.replace('waeup.kofa.','')
+        self.__parent__.__parent__.logger.info(
+            '%s - %s - %s' % (ob_class, self.__name__, message))
+        return
 
 Bed = attrs_to_fields(Bed)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py	(revision 13165)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py	(revision 13166)
@@ -71,6 +71,6 @@
         """
 
-    def logger_info(ob_class, target, comment=None):
-        """Get the logger's info method.
+    def writeLogMessage(view, message):
+        """Add an INFO message to ``hostels.log``.
         """
 
@@ -80,8 +80,4 @@
 
     bed_statistics = Attribute('Number of booked and total beds')
-
-    def loggerInfo(ob_class, comment):
-        """Adds an INFO message to the log file
-        """
 
     def clearHostel():
@@ -211,4 +207,8 @@
             raise Invalid(_('Bed categories overlap.'))
 
+    def writeLogMessage(view, message):
+        """Add an INFO message to ``hostels.log``.
+        """
+
 class IBed(IKofaObject):
     """A base representation of beds.
@@ -216,8 +216,4 @@
 
     coordinates = Attribute('The coordinates of the bed from bed_id')
-
-    def loggerInfo(ob_class, comment):
-        """Adds an INFO message to the log file
-        """
 
     def bookBed(student_id):
@@ -272,2 +268,6 @@
             raise Invalid(_(
                 "This student resides in bed ${a}.", mapping = {'a':allocated_bed}))
+
+    def writeLogMessage(view, message):
+        """Add an INFO message to ``hostels.log``.
+        """
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 13165)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 13166)
@@ -154,5 +154,5 @@
 
     def writeLogMessage(view, message):
-        """Write a view specific log message into students.log.
+        """Add an INFO message to ``students.log``.
         """
 