Index: main/waeup.kofa/trunk/docs/source/userdocs/academics.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/academics.rst	(revision 13166)
+++ main/waeup.kofa/trunk/docs/source/userdocs/academics.rst	(revision 13167)
@@ -164,5 +164,5 @@
 above). A former course cannot be part of a curriculum.
 
-Certificate courses have to more attributes: `level` (integer) and
+Certificate courses have two more attributes: `level` (integer) and
 `mandatory` (boolean). Simply put, certificate courses carry the
 information at which level a certain course can or has to be taken
Index: main/waeup.kofa/trunk/docs/source/userdocs/customization.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/customization.rst	(revision 13166)
+++ main/waeup.kofa/trunk/docs/source/userdocs/customization.rst	(revision 13167)
@@ -110,5 +110,5 @@
 used for sources (see :py:class:`API
 <waeup.kofa.utils.utils.KofaUtils>`) but also **configuration
-attributes** like
+attributes** like:
 
 .. autoattribute:: waeup.kofa.utils.utils.KofaUtils.PORTAL_LANGUAGE
Index: main/waeup.kofa/trunk/docs/source/userdocs/documents.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/documents.rst	(revision 13166)
+++ main/waeup.kofa/trunk/docs/source/userdocs/documents.rst	(revision 13167)
@@ -1,6 +1,6 @@
 .. _documents:
 
-Public Documents
-****************
+Documents Section
+*****************
 
 The documents section of Kofa is a tiny built-in content management
@@ -10,10 +10,7 @@
 and registration procedures.
 
-Technically speaking, the documents section is a container of type
-`DocumentsContainer` with id ``documents``, which is located in the
-`IUniversity` instance and which contains documents. There are three
-types of public documents::
+Technically speaking, the documents section is a container of type `DocumentsContainer` with id ``documents``, which is located in the `IUniversity` instance and which contains public documents. There are three types of public documents::
 
-  Public Documents (DocumentsContainer)
+  Documents Section (DocumentsContainer)
   |
   +---> PDFDocument
Index: main/waeup.kofa/trunk/docs/source/userdocs/hostels.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/hostels.rst	(revision 13166)
+++ main/waeup.kofa/trunk/docs/source/userdocs/hostels.rst	(revision 13167)
@@ -3,2 +3,29 @@
 Accommodation Section :sup:`in progress`
 ****************************************
+
+The accommodation sections is a built-in hostel management system. African universities usually run their own student hostels which are built on their huge university campuses. They combine the booking of beds with the registration process. There are two major use cases. Students either have to book a bed space before they can continue with the registration, or they are only allowed to book, if they have reached a certain registration state. In the first case, the university requires students to stay on campus. They usually have enough beds for all of their students and need to fill up the hostels. In the second case, bed space is limited. Since accommodation is usually very reasonable and much safer on campus than on the free market outside, students prefer accommodation on campus. If bed allocation e.g. requires the payment of school fees, students are forced to pay in order to get the highly coveted hostel bed. 
+
+Technically speaking, the accommodation section is a container of type `HostelsContainer` with id ``hostels``, which is located in the `IUniversity` instance. It contains hostels (instances of `IHostel`) which again contain the beds (instances of `IBed`).
+
+The :ref:`treelike storage of objects <object_database>` in the
+accommodation section can be figured as follows::
+
+
+  Accommodation Section (HostelsContainer)
+  |
+  +---> Hostel
+        |
+        +---> Bed
+
+Interfaces
+==========
+
+
+.. literalinclude:: ../../../src/waeup/kofa/hostels/interfaces.py
+   :pyobject: IHostelsContainer
+
+.. literalinclude:: ../../../src/waeup/kofa/hostels/interfaces.py
+   :pyobject: IHostel
+
+.. literalinclude:: ../../../src/waeup/kofa/hostels/interfaces.py
+   :pyobject: IBed
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 13166)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 13167)
@@ -291,5 +291,5 @@
 
     def writeLogMessage(view, comment):
-        """Add an INFO message to ``applicants.log``.
+        """Add an INFO message to applicants.log.
         """
 
@@ -449,5 +449,5 @@
 
     def writeLogMessage(view, comment):
-        """Add an INFO message to ``applicants.log``.
+        """Add an INFO message to applicants.log.
         """
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/interfaces.py	(revision 13166)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/interfaces.py	(revision 13167)
@@ -63,5 +63,5 @@
 
     def writeLogMessage(view, message):
-        """Add an INFO message to ``main.log``.
+        """Add an INFO message to main.log.
         """
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py	(revision 13166)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py	(revision 13167)
@@ -30,5 +30,5 @@
 
 class IHostelsContainer(IKofaObject):
-    """A container for all kind of hostel objects.
+    """A container for hostel objects.
     """
 
@@ -72,9 +72,9 @@
 
     def writeLogMessage(view, message):
-        """Add an INFO message to ``hostels.log``.
+        """Add an INFO message to hostels.log.
         """
 
 class IHostel(IKofaObject):
-    """A base representation of hostels.
+    """Representation of a hostel.
     """
 
@@ -208,9 +208,9 @@
 
     def writeLogMessage(view, message):
-        """Add an INFO message to ``hostels.log``.
+        """Add an INFO message to hostels.log.
         """
 
 class IBed(IKofaObject):
-    """A base representation of beds.
+    """Representation of a bed.
     """
 
@@ -270,4 +270,4 @@
 
     def writeLogMessage(view, message):
-        """Add an INFO message to ``hostels.log``.
-        """
+        """Add an INFO message to hostels.log.
+        """
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 13166)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 13167)
@@ -154,5 +154,5 @@
 
     def writeLogMessage(view, message):
-        """Add an INFO message to ``students.log``.
+        """Add an INFO message to students.log.
         """
 