Index: /main/waeup.kofa/trunk/README.txt
===================================================================
--- /main/waeup.kofa/trunk/README.txt	(revision 13174)
+++ /main/waeup.kofa/trunk/README.txt	(revision 13175)
@@ -9,20 +9,10 @@
 about WAeUP. The system controls all kinds of application and
 student registration processes at large schools and universities in
-Nigeria. It is a generic system which can be deployed by and is
+Nigeria. It is a generic system which can be deployed by, and is
 useful to most universities, colleges or schools wordlwide.
 
-Kofa is really an allrounder. The best way to briefly describe Kofa,
-is to explain what Kofa can *not* do for you, rather than trying to
-describe all the features in just a few words. Kofa is primarily not
-an e-learning system, although, it has some basic content management
-features which can be used by lecturers to disseminate course
-material. Kofa is also not a scheduler which generates lesson plans
-or timetables for lecturers or students. Although students register
-their courses with Kofa and can see or print course lists for each
-academic session, so far, courses do not contain information, when
-or where they take place. However, due to the modular design of Kofa,
-a scheduler or room planner could be easily added.
+Kofa is really an allrounder. The best way to briefly describe its functionality, is to explain what the software can *not* do for you, rather than trying to describe all its features in just a few words. Kofa is primarily not an e-learning system, although, it has some basic content management features which can be used by lecturers to disseminate course material. Kofa is also not a scheduler which generates lesson plans or timetables for lecturers or students. Although students register their courses with Kofa and can see or print course lists for each academic session, so far, courses do not contain information, when or where they take place. However, due to the modular design of Kofa, a scheduler or room planner could be easily added.
 
-Kofa is divided into sections. To each section belongs a folder in
+Kofa is divided into sections. Each section has its own folder in
 Kofa's :ref:`object database <object_database>`. When starting Kofa
 in debug mode::
@@ -41,6 +31,5 @@
 
 
-Each of these subfolders in the root folder of the database belongs
-to such a section. The section structure can be figured as follows::
+The section/folder structure can be figured as follows::
 
   root (Database Root)
Index: /main/waeup.kofa/trunk/docs/source/userdocs/browsing.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/browsing.rst	(revision 13174)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/browsing.rst	(revision 13175)
@@ -45,12 +45,11 @@
 
 Officers see a double-column theme after logging in. The left column
-contains a box (side box) which contains links to the user's
+contains a box (side box) which provides links to the user's
 preferences (My Preferences) and roles (My Roles). It also contains
-links to the various sections of Kofa depending on the permissions
-the officer has has obtained. Possible sections are: 'Portal
+links to the various sections of Kofa, depending on the permissions
+the officer has obtained. Possible sections are: 'Portal
 Configuration', 'Officers', 'Data Center', 'Reports' and 'Access
-Codes'. The side box expands when the officer accesses an
-applicant or student record. The box gives direct access to the
-pages of an applicant or student record respectively.
+Codes'. The side box expands, when the officer accesses a student
+record. The box gives direct access to the pages of the student.
 
 .. image:: images/multicolumn.png
@@ -82,7 +81,8 @@
   display and input widgets (= views) for the fields defined in the
   Zope Schema package. Auto-generation is done with `grok.AutoFields`
-  which takes the fields, declared in an interface, and renders
-  display or input widgets, according to the schema declaration, for
-  display or edit forms respectively.
+  which takes the fields, declared in an
+  :ref:`interface<kofa_interfaces>`, and renders display or input
+  widgets, according to the schema declaration, for display or edit
+  forms respectively.
 
 Whereas display and add form pages are usually shared by officers
Index: /main/waeup.kofa/trunk/docs/source/userdocs/hostels.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/userdocs/hostels.rst	(revision 13174)
+++ /main/waeup.kofa/trunk/docs/source/userdocs/hostels.rst	(revision 13175)
@@ -169,5 +169,5 @@
 same-named action of the `HostelManageFormPage`. `Hostel.updateBeds`
 iterates over all block letters, floor levels, room numbers and bed
-letters, which haven been configured on the `HostelManageFormPage`.
+letters, which have been configured on the `HostelManageFormPage`.
 In each bed letter iteration loop a bed is added and the `bed_id`,
 `bed type` as well as the consecutive `bed_number` are determined